#include <bits/stdc++.h>
using namespace std;

int main()
{
    iostream::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    int t;
    cin >> t;
    while (t--) {
        int n;
        cin >> n;
        map<int,int> mapa;
        for (int i = 1; i <= n; i++) {
            int proizvod = 1;
            int i2 = i;
            while (i2 > 0) {
                proizvod *= (i2 % 10);
                i2 /= 10;
            }
            mapa[proizvod]++;
        }
        int sum = 0;
        for (auto i : mapa) {
            sum++;
        }
        cout << sum << "\n";
    }

    return 0;
}